2019-01-16 17:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002472NetSurfFramebuffer-specificpublic2016-09-29 20:43
ReporterPICCORO Lenz McKAY 
Assigned To 
SeverityblockReproducibilityunable to reproduce 
StatusclosedResolutionfixed 
PlatformLinuxOSDebianOS Version6
Product Version3.3 
Target VersionFixed in Version3.6 
Summary0002472: fbtk.h:36: error: redefinición de la definición de tipo ‘fbtk_widget_t’
Descriptionwhen i try to build the framebuffer flavor, i got that error at compiling time:

./framebuffer/fbtk.h:36: aviso: la definición de tipo ‘fbtk_widget_t’ se declaró como ‘inline’
./framebuffer/fbtk.h:36: error: redefinición de la definición de tipo ‘fbtk_widget_t’
./framebuffer/gui.h:23: nota: la declaración previa de ‘fbtk_widget_t’ estaba aquí

seem there are a king of redecalrations on the headers
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
PICCORO Lenz McKAY

~0001410

PICCORO Lenz McKAY (reporter)

oh, sorry, was fixed in recent version:

in gui.h removed the redefinition and got!

please close this bug as fixed in recent versions!
+Notes

-Issue History
Date Modified Username Field Change
2016-09-23 02:32 PICCORO Lenz McKAY New Issue
2016-09-23 02:38 PICCORO Lenz McKAY Note Added: 0001410
2016-09-29 20:43 Vincent Sanders Reproducibility always => unable to reproduce
2016-09-29 20:43 Vincent Sanders Status new => closed
2016-09-29 20:43 Vincent Sanders Resolution open => fixed
2016-09-29 20:43 Vincent Sanders Fixed in Version => 3.6
+Issue History